package com.codecaballero.proyectofinal;

import org.opencv.core.Point;
import org.opencv.core.Rect;

/**
 * Clase que representa una casilla
 */
public class MiCasilla {
    private Rect cuadrado;

    //private Point centro;
    private boolean estaMarcado;

    public MiCasilla(Rect rect, boolean estaMarcado) {
        this.cuadrado = rect;
        this.estaMarcado = estaMarcado;

    }

    public MiCasilla(){

    }

    //Getters y setters

    public Point getCentro() {
        return new Point(cuadrado.x+ cuadrado.width/2, cuadrado.y+ cuadrado.height/2);
    }

    public boolean isEstaMarcado() {
        return estaMarcado;
    }

    public void setEstaMarcado(boolean estaMarcado) {
        this.estaMarcado = estaMarcado;
    }

    public Rect getCuadrado() {
        return cuadrado;
    }

    public void setCuadrado(Rect cuadrado) {
        this.cuadrado = cuadrado;
    }

    public double getTamanoCasilla(){
        return cuadrado.width;
    }




}





